<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org">

<div th:replace="fragments/head :: head"></div> <!--Carga el fragmento head-->
<body id="body-register">
<!-- Fixed navbar -->
<div th:replace="fragments/header-mecanico :: header"></div> <!--Carga el fragmento header-->
<div class="container">
    <div class="register-container">
        <div id="output"></div>
        <div class="form-box well">
            <h4>Ingresar servicio a vehiculo</h4>
            <br> </br>
            <form class="form" id="user-form">  <!--Muestra un formulario con los datos a completar para ingresar una herramienta-->

                <div class="form-group" style="width:49%; float:left;">
                    <label for="vehiculos">Vehiculos:</label>

                    <select name="vehiculos" id="vehiculos" class="form-control" required="">
                        <option th:each="vehiculo: ${vehiculos}"
                                th:value="${vehiculo.getIdVehiculo()}"
                                th:text="${vehiculo.getPatente()}"></option>
                    </select>
                </div>

                <div class="form-group" style="width:49%; float:right;">
                    <label for="servicios">Servicios:</label>

                    <select name="servicios" id="servicios" class="form-control" required="">
                        <option th:each="servicio: ${servicios}"
                                th:value="${servicio.getIdServicio()}"
                                th:text="${servicio.getDetalle()}"></option>
                    </select>

                </div>
                <div class="form-group" style="width:49%; float:left;">
                    <label for="detalle">Detalle:</label>
                    <input id="detalle" name="detalle" placeholder="Ingrese Detalle" class="form-control input-md"
                           required=""
                           title="Ingrese detalle"/>
                </div>


                <button class="btn btn-info register glyphicon glyphicon-pencil" type="submit"> Ingresar</button>
            </form>
        </div>
    </div>
</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous"></script>
<script>
    $(document).ready(function () {

        $("#user-form").submit(function (e) {
            <!--Captura los datos del formulario-->
            var datos = {
                fecha: new Date (2018, 6, 6),
                detalle: $("input[name=detalle]").val(),
                idAdministrativo:2,
                idVehiculo: Number($("select[name=vehiculos]").val()),
                idCliente: 2,
                idServicio: Number($("select[name=servicios]").val()),
                visible: true
            };
            <!--Envía los datos capturados al URL /cliente/crear-->
            console.log($("select[name=servicios]").val());
            $.ajax({
                type: "POST",
                contentType: 'application/json',
                url: "http://localhost:8080/ficha/crear",
                dataType: 'json',
                data: JSON.stringify(datos), // Adjunta los datos
            }).done(function (message) {
                location.href = "http://localhost:8080/fichas";
            }).fail(function (e) {
                console.log("error " + e);
            });
            return false;
        });
    });


</script>

</body>

<div th:replace="fragments/footer :: footer"></div> <!--Carga el fragmento footer-->

